# coding: utf-8
#
# Copyright © Lyra Network.
# This file is part of PayZen plugin for Odoo. See COPYING.md for license details.
#
# Author:    Lyra Network (https://www.lyra.com)
# Copyright: Copyright © Lyra Network
# License:   http://www.gnu.org/licenses/agpl.html GNU Affero General Public License (AGPL v3)

from odoo import _

PAYZEN_PLUGIN_FEATURES = {
    'qualif': False,
    'shatwo': True,
}

PAYZEN_PARAMS = {
    'GATEWAY_CODE': 'PayZen',
    'GATEWAY_NAME': 'PayZen',
    'BACKOFFICE_NAME': 'PayZen',
    'SUPPORT_EMAIL': 'support@payzen.eu',
    'GATEWAY_URL': 'https://secure.payzen.eu/vads-payment/',
    'SITE_ID': '12345678',
    'KEY_TEST': '1111111111111111',
    'KEY_PROD': '2222222222222222',
    'CTX_MODE': 'TEST',
    'SIGN_ALGO': 'SHA-256',
    'LANGUAGE': 'fr',

    'GATEWAY_VERSION': 'V2',
    'PLUGIN_VERSION': '1.1.0',
    'CMS_IDENTIFIER': 'Odoo_10-12',
}

PAYZEN_LANGUAGES = {
    'cn': 'Chinese',
    'de': 'German',
    'es': 'Spanish',
    'en': 'English',
    'fr': 'French',
    'it': 'Italian',
    'jp': 'Japanese',
    'nl': 'Dutch',
    'pl': 'Polish',
    'pt': 'Portuguese',
    'ru': 'Russian',
    'sv': 'Swedish',
    'tr': 'Turkish',
}

PAYZEN_CARDS = {
    'CB': u'CB',
    'E-CARTEBLEUE': u'e-Carte Bleue',
    'MAESTRO': u'Maestro',
    'MASTERCARD': u'MasterCard',
    'VISA': u'Visa',
    'VISA_ELECTRON': u'Visa Electron',
    'VPAY': u'V PAY',
    'AMEX': u'American Express',
    'ACCORD_STORE': u'Carte enseigne Accord',
    'ACCORD_STORE_SB': u'Carte enseigne Accord - Sandbox',
    'ALINEA': u'Carte enseigne Alinéa',
    'ALINEA_CDX': u'Carte cadeau Alinéa',
    'ALINEA_CDX_SB': u'Carte cadeau Alinéa - Sandbox',
    'ALINEA_SB': u'Carte enseigne Alinéa - Sandbox',
    'ALIPAY': u'Alipay',
    'ALLOBEBE_CDX': u'Carte cadeau AlloBébé',
    'ALLOBEBE_CDX_SB': u'Carte cadeau AlloBébé - Sandbox',
    'AUCHAN': u'Carte enseigne Auchan',
    'AUCHAN_SB': u'Carte enseigne Auchan - Sandbox',
    'AURORE_MULTI': u'Carte Aurore',
    'BANCONTACT': u'Bancontact Mistercash',
    'BIZZBEE_CDX': u'Carte cadeau BizzBee',
    'BIZZBEE_CDX_SB': u'Carte cadeau BizzBee - Sandbox',
    'BOULANGER': u'Carte enseigne Boulanger',
    'BOULANGER_SB': u'Carte enseigne Boulanger - Sandbox',
    'BRICE_CDX': u'Carte cadeau Brice',
    'BRICE_CDX_SB': u'Carte cadeau Brice - Sandbox',
    'COFINOGA': u'Carte Cofinoga Be Smart',
    'CONECS': u'Titre-Restaurant Dématérialisé Conecs',
    'APETIZ': u'Titre-Restaurant Dématérialisé Apetiz',
    'CHQ_DEJ': u'Titre-Restaurant Dématérialisé Chèque Déjeuner',
    'SODEXO': u'Titre-Restaurant Dématérialisé Sodexo',
    'EDENRED': u'Ticket Restaurant',
    'DINERS': u'Carte Diners Club',
    'DISCOVER': u'Carte Discover',
    'E_CV': u'e-Chèque-Vacances',
    'ECCARD': u'Euro-Cheque card',
    'EDENRED_EC': u'Ticket Eco Chèque Edenred',
    'EDENRED_TC': u'Ticket Culture Edenred',
    'EDENRED_TR': u'Ticket Restaurant Edenred',
    'ELV': u'Prélèvement Bancaire Hobex',
    'EPS': u'EPS Online Überweisung',
    'EPS_GIROPAY': u'EPS Online Überweisung',
    'FULLCB_3X': u'Paiement en 3x sans frais par BNPP PF',
    'FULLCB_4X': u'Paiement en 4x sans frais par BNPP PF',
    'GIROPAY': u'Giropay',
    'IDEAL': u'iDEAL',
    'ILLICADO': u'Cartes Cadeau Illicado',
    'ILLICADO_SB': u'Cartes Cadeau Illicado - Sandbox - Sandbox',
    'JCB': u'JCB',
    'JOUECLUB_CDX': u'Carte cadeau JouéClub',
    'JOUECLUB_CDX_SB': u'Carte cadeau JouéClub - Sandbox',
    'KLARNA': u'Klarna Internet Banking',
    'LEROY-MERLIN': u'Carte enseigne Leroy-Merlin',
    'LEROY-MERLIN_SB': u'Carte enseigne Leroy-Merlin - Sandbox',
    'MASTERPASS': u'MasterPass',
    'MULTIBANCO': u'Multibanco',
    'NORAUTO': u'Carte enseigne Norauto',
    'NORAUTO_SB': u'Carte enseigne Norauto - Sandbox',
    'ONEY': u'FacilyPay Oney',
    'ONEY_SANDBOX': u'FacilyPay Oney - Sandbox',
    'PAYDIREKT': u'PayDirekt',
    'PAYLIB': u'Wallet Paylib',
    'PAYPAL': u'PayPal',
    'PAYPAL_SB': u'PayPal - Sandbox',
    'PAYSAFECARD': u'Carte prépayée paysafecard',
    'PICWIC': u'Carte enseigne PicWic',
    'PICWIC_SB': u'Carte enseigne PicWic - Sandbox',
    'POSTFINANCE': u'PostFinance',
    'POSTFINANCE_EFIN': u'PostFinance E-finance',
    'SCT': u'Virement SEPA Credit Transfer',
    'SDD': u'Prélèvement SEPA Direct Debit',
    'SOFICARTE': u'Carte Soficarte',
    'SOFORT_BANKING': u'Sofort',
    'TRUFFAUX_CDX': u'Carte Cadeau Truffaut',
    'UNION_PAY': u'UnionPay',
    'VILLAVERDE': u'Carte enseigne Villaverde',
    'VILLAVERDE_SB': u'Carte enseigne Villaverde - Sandbox',
    'WECHAT': u'WeChat Pay',
    'MYBANK': u'MyBank',
    'PRZELEWY24': u'Przelewy24',
}

PAYZEN_CURRENCIES = [
    ['AUD', '036', 2],
    ['KHR', '116', 0],
    ['CAD', '124', 2],
    ['CNY', '156', 1],
    ['CZK', '203', 2],
    ['DKK', '208', 2],
    ['HKD', '344', 2],
    ['HUF', '348', 2],
    ['INR', '356', 2],
    ['IDR', '360', 2],
    ['JPY', '392', 0],
    ['KRW', '410', 0],
    ['KWD', '414', 3],
    ['MYR', '458', 2],
    ['MXN', '484', 2],
    ['MAD', '504', 2],
    ['NZD', '554', 2],
    ['NOK', '578', 2],
    ['PHP', '608', 2],
    ['RUB', '643', 2],
    ['SGD', '702', 2],
    ['ZAR', '710', 2],
    ['SEK', '752', 2],
    ['CHF', '756', 2],
    ['THB', '764', 2],
    ['TND', '788', 3],
    ['GBP', '826', 2],
    ['USD', '840', 2],
    ['TWD', '901', 2],
    ['TRY', '949', 2],
    ['EUR', '978', 2],
    ['PLN', '985', 2],
    ['BRL', '986', 2],
]
